Options.cpp File Reference
`#include "Magick++/Include.h"`
`#include <string>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include "Magick++/Options.h"`
`#include "Magick++/Functions.h"`
`#include "Magick++/Exception.h"`
Include dependency graph for Options.cpp:

Go to the source code of this file.

## Macros

#define | MAGICKCORE_IMPLEMENTATION 1
#define | MAGICK_PLUSPLUS_IMPLEMENTATION 1
#define | MagickPI 3.14159265358979323846264338327950288419716939937510
#define | DegreesToRadians(x) (MagickPI*(x)/180.0)

## Macro Definition Documentation

## DegreesToRadians

#define DegreesToRadians | ( |  | x | ) | (MagickPI*(x)/180.0)

Definition at line 27 of file Options.cpp.

Referenced by Magick::Options::transformRotation(), Magick::Options::transformSkewX(), and Magick::Options::transformSkewY().

## MAGICK_PLUSPLUS_IMPLEMENTATION

#define MAGICK_PLUSPLUS_IMPLEMENTATION 1

Definition at line 14 of file Options.cpp.

## MAGICKCORE_IMPLEMENTATION

#define MAGICKCORE_IMPLEMENTATION 1

Definition at line 13 of file Options.cpp.

## MagickPI

#define MagickPI 3.14159265358979323846264338327950288419716939937510

Definition at line 26 of file Options.cpp.